# PUBLISH Cancel Order

**REQUEST**

```
<tr>
  <td>
    * \*op\*\* <span class="ws-data-type ws-small-font">string</span>  <span class="ws-required-tag ws-small-font">required</span>
      Operation code: `cancel_order`
  </td>
</tr>

<tr>
  <td>
    <span class="ws-small-font">data.</span>**order\_id** <span class="ws-data-type ws-small-font">string</span> <span class="ws-required-tag ws-small-font">required</span>
    Order ID to be cancelled. Eg. `0x4c43e0ab72a4edb72dfe4b129148899815d816837b9a7e22d964b884834639f8`
  </td>
</tr>
```

|                                                                                                       |
| ----------------------------------------------------------------------------------------------------- |
| \* \\\*id\\\*\\\* integer Request ID, an arbitrary integer to link requests with responses. Eg. \`1\` |

<details>

<summary>Example</summary>

```json
{
  "id": 1,
  "op": "cancel_order",
  "data": {
    "order_id": "0xa907d8c3037289f5b38c94760c06ae436566e600884d09cbeee2ef2c64b2695d"
  }
}
```

</details>

<br>

**RESPONSE**

```
<tr>
  <td>
    <span class="ws-small-font">data.</span>**order\_id** <span class="ws-data-type ws-small-font">string</span> <span class="ws-required-tag ws-small-font">required</span>
    Order ID is the hash of the order payload. Eg. `0x4c43e0ab72a4edb72dfe4b129148899815d816837b9a7e22d964b884834639f8`
  </td>
</tr>

<tr>
  <td>
    <span class="ws-small-font">data.</span>**success** <span class="ws-data-type ws-small-font">boolean</span> <span class="ws-required-tag ws-small-font">required</span>
    True if cancel is successful.
  </td>
</tr>
```

|                                                                                                        |
| ------------------------------------------------------------------------------------------------------ |
| \* \\\*id\\\*\\\* integer Response ID, an arbitrary integer to link requests with responses. Eg. \`1\` |

<details>

<summary>Example</summary>

```json
{
  "id": 1,
  "data": {
    "order_id": "0xa907d8c3037289f5b38c94760c06ae436566e600884d09cbeee2ef2c64b2695d",
    "success": true
  }
}
```

</details>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/websocket-api/private-operations/publish-cancel-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
